Bug 174452 - Tomcat5 package is missing xml-commons-apis dependency
Tomcat5 package is missing xml-commons-apis dependency
Status: CLOSED DUPLICATE of bug 174451
Product: Fedora
Classification: Fedora
Component: tomcat5 (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vivek Lakshmanan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-29 01:25 EST by Dan
Modified: 2008-01-05 08:18 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-05 08:18:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan 2005-11-29 01:25:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
On a machine recently upgraded to FC4 from FC3, I ran "yum install tomcat5". A bunch of goodies (dependencies) installed. During the yum install, there was a warning about not being able to locate the xml-commons-api.jar during the tomcat5 setup. Even so, the install appeared to succeed.

When launching tomcat5, I would get the error in the log (/usr/share/tomcat5/log/catalina.out):

Bootstrap: Class loader creation threw exception
java.lang.IllegalArgumentException: addRepositoryInternal: repository='file:/usr/share/tomcat5/common/endorsed/[xml-commons-apis].jar'
at org.apache.catalina.loader.StandardClassLoader.add RepositoryInternal(java.lang.String) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.loader.StandardClassLoader.Sta ndardClassLoader(java.lang.String[]) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.startup.ClassLoaderFactory.cre ateClassLoader(java.io.File[], java.io.File[], java.net.URL[], java.lang.ClassLoader) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.startup.Bootstrap.createClassL oader(java.lang.String, java.lang.ClassLoader) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.startup.Bootstrap.initClassLoa ders() (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.startup.Bootstrap.init() (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.startup.Bootstrap.main(java.la ng.String[]) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at gnu.java.lang.MainThread.call_main() (/usr/lib/libgcj.so.6.0.0)
at gnu.java.lang.MainThread.run() (/usr/lib/libgcj.so.6.0.0)
Caused by: java.io.FileNotFoundException: /usr/share/tomcat5/common/endorsed/[xml-commons-apis].jar (No such file or directory)
at gnu.java.nio.channels.FileChannelImpl.open(java.la ng.String, int) (/usr/lib/libgcj.so.6.0.0)
at gnu.java.nio.channels.FileChannelImpl.FileChannelI mpl(java.lang.String, int) (/usr/lib/libgcj.so.6.0.0)
at java.io.RandomAccessFile.RandomAccessFile(java.lan g.String, java.lang.String) (/usr/lib/libgcj.so.6.0.0)
at java.util.zip.ZipFile.ZipFile(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
at java.util.jar.JarFile.JarFile(java.lang.String, boolean) (/usr/lib/libgcj.so.6.0.0)
at java.util.jar.JarFile.JarFile(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
at org.apache.catalina.loader.StandardClassLoader.add RepositoryInternal(java.lang.String) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
...8 more


Closer examination of the file mentioned in the error: 
file:/usr/share/tomcat5/common/endorsed/[xml-commons-apis].jar
showed it was a broken link (which makes sense because that package was not listed as a dependency of tomcat5, and hence did not exist).

I later ran "yum install xml-commons-apis", and tomcat5 would start without errors.

I'm pretty sure there is a bug in the dependencies of the tomcat5 package. The xml-commons package is installed, but the "apis" package is required and is NOT installed. 

Apologies if this is not the correct place to report this problem.

Dan Rollo


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. yum install tomcat5
2. launch tomcat5
3. errors in tomcat logs due missing xml-commons-apis.jar
  

Actual Results:  Error in tomcat log:

Bootstrap: Class loader creation threw exception
java.lang.IllegalArgumentException: addRepositoryInternal: repository='file:/usr/share/tomcat5/common/endorsed/[xml-commons-apis].jar'
at org.apache.catalina.loader.StandardClassLoader.add RepositoryInternal(java.lang.String) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.loader.StandardClassLoader.Sta ndardClassLoader(java.lang.String[]) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.startup.ClassLoaderFactory.cre ateClassLoader(java.io.File[], java.io.File[], java.net.URL[], java.lang.ClassLoader) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.startup.Bootstrap.createClassL oader(java.lang.String, java.lang.ClassLoader) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.startup.Bootstrap.initClassLoa ders() (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.startup.Bootstrap.init() (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at org.apache.catalina.startup.Bootstrap.main(java.la ng.String[]) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
at gnu.java.lang.MainThread.call_main() (/usr/lib/libgcj.so.6.0.0)
at gnu.java.lang.MainThread.run() (/usr/lib/libgcj.so.6.0.0)
Caused by: java.io.FileNotFoundException: /usr/share/tomcat5/common/endorsed/[xml-commons-apis].jar (No such file or directory)
at gnu.java.nio.channels.FileChannelImpl.open(java.la ng.String, int) (/usr/lib/libgcj.so.6.0.0)
at gnu.java.nio.channels.FileChannelImpl.FileChannelI mpl(java.lang.String, int) (/usr/lib/libgcj.so.6.0.0)
at java.io.RandomAccessFile.RandomAccessFile(java.lan g.String, java.lang.String) (/usr/lib/libgcj.so.6.0.0)
at java.util.zip.ZipFile.ZipFile(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
at java.util.jar.JarFile.JarFile(java.lang.String, boolean) (/usr/lib/libgcj.so.6.0.0)
at java.util.jar.JarFile.JarFile(java.lang.String) (/usr/lib/libgcj.so.6.0.0)
at org.apache.catalina.loader.StandardClassLoader.add RepositoryInternal(java.lang.String) (/usr/lib/libtomcat-bootstrap-5.0.30.jar.so)
...8 more

Expected Results:  No errors, and tomcat5 should load

Additional info:

xml-commons-apis.jar should be listed as a depenedency of the tomcat5 package.
Comment 1 Christian Iseli 2007-01-22 06:55:54 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Dan 2007-01-22 23:07:48 EST
Wow, this bug was reported well over a year ago. Sorry, but I don't have an FC
box I can play with to see if the deps are still broken for FC5 (running Ubuntu
now...) If someone else has the resources to try it, it is ceartainly worth
checking into, since Tomcat is a pretty common package to be installed. All
you'd need to do is remove the xml-commons-apis package (NOTE: the "apis" part)
and remove the Tomcat package if you already have it installed. Then install
Tomcat and see if it will start.

Dan
Comment 3 Devrim GUNDUZ 2008-01-05 08:18:29 EST

*** This bug has been marked as a duplicate of 174451 ***

Note You need to log in before you can comment on or make changes to this bug.